%define ALD_Ver		2.0

Name:         man

License:      GPL
Summary:      Program for displaying man pages
Version:      1.6f
Release:      0

#https://src.fedoraproject.org/repo/pkgs/man/

Source: %{name}-%{version}.tar.xz

%define DestDir		/ps_pdf_printer
# -----------------------------------------------------

%if %{_target_cpu} == %{_build_cpu}
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}
%define _CROSS 0
%define MakeLocCross 0
%define target_ %{nil}
%else
# rpm --target=armv7hl -ba xxxxx.spec
%define _srcrpmdir	%{_topdir}/SRPMS/tmp
%define _CROSS 1
%define MakeLocCross 1
%define _host %{_arch}-%{_os}%{_gnu}
%define target_ %{_host}-
%endif

#------------------ CROSS DIR --------------------

%define docdir		%{_defaultdocdir}/%{name}

%define auto_local %{_sourcedir}/AUTO_LOCAL-1.sh
%define have_auto_local %(if test -x %{auto_local} ; then echo 1 ; else echo 0 ; fi)

%if %{have_auto_local}
%define __os_install_post %{nil}
%define CrossPath	%(%{auto_local} -GetCrossPath -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu})
%endif

# ------------------- description ------------------------------------
%description
Program for displaying man-pages on the screen or sending them
to a printer (using groff).
# --------------------------------------
%package 2html
Summary:      GNU all tools for %{name}  man2dvi,man2html,...
Group:        Applications/Text
%description 2html
all tools for %{name}  apropos,whatis,...
# --------------------------------------
%package rest
Summary:      GNU all tools for %{name}  apropos,whatis,...
Group:        Applications/Text
%description rest
all tools for %{name}  apropos,whatis,...

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build
%if %{_CROSS}
PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif
export PATH

%if %{_arch} == "i386"
OPTFLAGS="-Os -march=i586 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-Os"
%endif
%if %{_arch} == "arm"
OPTFLAGS="%{optflags} -Os -munaligned-access"
%endif

OPTFLAGS="$OPTFLAGS -fno-asynchronous-unwind-tables"

CFLAGS="$OPTFLAGS"
LDFLAGS="-Wl,--gc-sections"

BUILD_CC=gcc
CC=%{target_}gcc
export CC BUILD_CC CFLAGS LDFLAGS

./configure -d +traditional \
	-confdir=%{_sysconfdir} \
	-prefix=%{_prefix} \
	-mandir=%{_mandir} \
	&>FConfigure_log.txt

make &>Fmake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
export PATH="%{CrossPath}/bin:$PATH"
export GCC_NoHostPath=d
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}


make PREFIX=$RPM_BUILD_ROOT install &>FInstall_log.txt

cp LSM README $RPM_BUILD_ROOT%{docdir}/
ln -s /usr/share/doc/gpl-2.0.txt $RPM_BUILD_ROOT%{docdir}/COPYING

sed -i s:"MANPATH	/usr/man":: $RPM_BUILD_ROOT%{_sysconfdir}/man.conf
sed -i s:"MANPATH	/usr/X11R6/man":"MANPATH	/usr/X11/share/man\nMANPATH	/usr/X11R6/share/man": $RPM_BUILD_ROOT%{_sysconfdir}/man.conf

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} -DelLocCrossDir=%{_bindir}
%endif  # have_auto_local

# ------------------- Clean ------------------------------------------
%Clean

%if %{have_auto_local}
  %{auto_local} -build_cpu=%{_build_cpu} -target_cpu=%{_target_cpu} \
	-MakeLocCross=%{MakeLocCross} \
	-ALD_Ver=%{ALD_Ver} -RpmMovePath=%{DestDir} -tar_arg=bzip2
%endif  # have_auto_local

# ------------------- Files ------------------------------------------
%files
%{_sysconfdir}/man.conf
%{_bindir}/man
%{_mandir}/man1/man.1.gz
%{_mandir}/man5
%{docdir}

%files 2html
%{_bindir}/man2dvi
%{_bindir}/man2html
%{_mandir}/man1/man2html.1.gz

%files rest
%{_bindir}/apropos
%{_bindir}/whatis
%{_sbindir}
%{_mandir}/man1/apropos.1.gz
%{_mandir}/man1/whatis.1.gz
%{_mandir}/man8
